﻿/**
* Class: com.kelvinluck.flashr.core.ExifData
* Class to describe some ExifData as returned by Flickr.
* 
* Licence:
* This code and documentation is licensed under a Creative Commons 
* Attribution-NonCommercial-ShareAlike 2.0.
* <http://creativecommons.org/licenses/by-nc-sa/2.0/>
* 
* See Also:
* <Flashr.photosGetExif>
* 
* <FlashrResponseListener.onPhotosGetExif>
* 
* Author:
* Kelvin Luck < kelvin at kelvinluck dot com >
**/
class com.kelvinluck.flashr.core.ExifData {
	
	/**
	* Variable: tagspace
	**/
	public var tagspace:String;
	/**
	* Variable: tagspaceid
	**/
	public var tagspaceid:Number;
	/**
	* Variable: tag
	**/
	public var tag:Number;
	/**
	* Variable: label
	**/
	public var label:String;
	/**
	* Variable: raw
	**/
	public var raw:String;
	/**
	* Variable: clean
	* A pretty-formatted version of the tag where availabale.
	**/
	public var clean:String;
	
	/**
	* Function: ExifData
	* 
	* Constructor function
	**/
	function ExifData()
	{
	}
	
	function toString():String
	{
		var tagContents:String = clean!=undefined ? clean : raw;
		if (tagContents.length > 20) tagContents = tagContents.substr(0, 20)+"...";
		return "[Object com.kelvinluck.flashr.core.ExifData ( "+label+" - "+tagContents+")]";
	}
}