﻿import com.kelvinluck.flashr.core.Photo;
import com.kelvinluck.util.LogWrapper;

/**
* Class: com.kelvinluck.flashr.core.PhotoSize
* Class to describe the size of a <Photo> from Flickr.
* 
* Licence:
* This code and documentation is licensed under a Creative Commons 
* Attribution-NonCommercial-ShareAlike 2.0.
* <http://creativecommons.org/licenses/by-nc-sa/2.0/>
* 
* See Also:
* <Photo>
* 
* <Flashr.photosGetSizes>
* 
* Author:
* Kelvin Luck < kelvin at kelvinluck dot com >
**/
class com.kelvinluck.flashr.core.PhotoSize {
	
	/**
	* Variable: photo
	* The photo that this PhotoSize is associated with
	**/
	public var photo:Photo;
	/**
	* Variable: label
	* This photo size's label.
	**/
	public var label:String;
	/**
	* Variable: width
	* This <Photo>'s width.
	**/
	public var width:Number;
	/**
	* Variable: height
	* This <Photo>'s height.
	**/
	public var height:Number;
	/**
	* Variable: source
	* This photo size's source.
	**/
	public var source:String;
	/**
	* Variable: url
	* This photo size's url.
	**/
	public var url:String;
	
	/**
	* Function: PhotoSize
	* Constructor function - creates a new PhotoSize object.
	**/
	function PhotoSize(photo:Photo, label:String)
	{
		this.photo = photo;
		this.label = label;
		LogWrapper.getLog().debug(this+" created");
	}
	
	function toString():String
	{
		return "[Object com.kelvinluck.flashr.core.PhotoSize - "+photo.id+" "+label+"]";
	}
}