﻿import com.kelvinluck.flashr.core.FlashrRequest;

/**
* Class: com.kelvinluck.flashr.core.ResultsSet
* Handles the search responses from flickr.com packaging them up with 
* relevant information about the query.
* 
* Each object which will tell you the page, numberOfPages, resultsPerPage 
* and total number of <Photo>s for a given search... This is tied to
* information about the querystring which produced that search.
* 
* See Also:
* <Flashr._parsePhotoXml>
* 
* Licence:
* This code and documentation is licensed under a Creative Commons 
* Attribution-NonCommercial-ShareAlike 2.0.
* <http://creativecommons.org/licenses/by-nc-sa/2.0/>
* 
* Author:
* Kelvin Luck
**/
class com.kelvinluck.flashr.core.ResultsSet {
	
	/**
	* Variable: request
	* The request which created this <ResultsSet>
	**/
	var request:FlashrRequest;
	/**
	* Variable: page
	* The page of results whose information is held here
	**/
	var page:Number;
	/**
	* Variable: numberOfPages
	* The total number of pages available for this search
	**/
	var numberOfPages:Number;
	/**
	* Variable: resultsPerPage
	* The number of results per page
	**/
	var resultsPerPage:Number;
	/**
	* Variable: total
	* The total number of photos for this search
	**/
	var total:Number;
	/**
	* Variable: photos
	* An Array containing all the relevant <Photo> objects returned by this search.
	**/
	var photos:Array;
	
	/**
	* Function: ResultSet
	* Constructor
	**/
	function ResultSet()
	{
	}
	
	/**
	* Function: toString
	**/
	public function toString():String
	{
		return "[com.kelvinluck.flashr.core.ResultsSet]";
	}
}